futhark-0.25.27: An optimising compiler for a functional, array-oriented language.

Safe Haskell | Safe-Inferred
Language | GHC2021

Futhark.Pass.ExtractMulticore

Description

Extraction of parallelism from a SOACs program. This generates parallel constructs aimed at CPU execution, which in particular may involve ad-hoc irregular nested parallelism.

Synopsis

- extractMulticore :: Pass SOACS MC

# Documentation

extractMulticore :: Pass SOACS MC Source #

Transform a program using SOACs to a program in the `MC` representation, using some amount of flattening.